/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.bpmn2bpel;

import java.io.Serializable;
import java.util.Comparator;
import org.ow2.orchestra.jaxb.bpmn.TFlowNode;


/**
 * @author Guillaume Porcher
 */
public class TFlowNodeComparator implements Comparator<TFlowNode>, Serializable {

  private static final long serialVersionUID = 1439210582900318293L;

  public static final TFlowNodeComparator INSTANCE = new TFlowNodeComparator();

  public int compare(final TFlowNode o1, final TFlowNode o2) {
    return o1.getId().compareTo(o2.getId());
  }

}
